Subject: Re: beachball on the water
From: Ernie Wright <[email-masked]>
To: Multiple recipients of list <[email-masked]>
Date: Fri, 26 Apr 1996 21:34:44 -0700

Dennis Harp wrote:

> A small, floating object influenced only by gentle (harmonic) wave
> motion would generally move in circular motion as each wave passes.
> This is because the buoyant force will develop horizontal components
> as the surface of the liquid becomes other than purely horizontal.

There must be engineering models of this.  I'd think you could calculate
a gradient for the water surface and use that to derive a mix of rolling
and sliding for the beachball.  A job for a plug-in, although it's not
immediately obvious to me how it would be implemented.

- Ernie